Page MenuHomePhabricator

3D viewer not initialised after visual editor edit
Closed, ResolvedPublic1 Story Points

Description

Only runs on page load, should run on wikipage.content hook instead.

Example: https://commons.wikimedia.org/wiki/User:ESanders_(WMF)/3D?veaction=edit

Event Timeline

Esanders created this task.Feb 16 2018, 2:17 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 16 2018, 2:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 411242 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/3D@master] Run 3D init on wikipage.content hook

https://gerrit.wikimedia.org/r/411242

Esanders moved this task from To Triage to Current work on the VisualEditor board.Feb 16 2018, 2:18 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Feb 16 2018, 8:22 PM

Change 411242 merged by jenkins-bot:
[mediawiki/extensions/3D@master] Run 3D init on wikipage.content hook

https://gerrit.wikimedia.org/r/411242

Deskana set the point value for this task to 1.Feb 19 2018, 3:26 PM
Deskana triaged this task as Normal priority.
Esanders updated the task description. (Show Details)Feb 21 2018, 12:56 PM
Deskana closed this task as Resolved.Feb 26 2018, 4:08 PM